from fastapi import FastAPI

from src.db.database import Database


def init_db(app: FastAPI) -> None:
    # DB接続モジュールを初期化
    database = Database.get_instance()
    # FastAPI App内で使える変数として追加
    app.state._db = database


def close_db(app: FastAPI) -> None:
    app.state._db = None
